Bug 197298 - Review Request: perl-Locale-SubCountry
Review Request: perl-Locale-SubCountry
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 197304
  Show dependency treegraph
 
Reported: 2006-06-29 20:01 EDT by Chris Weyl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-05 16:10:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2006-06-29 20:01:50 EDT
Spec URL: http://home.comcast.net/~ckweyl/perl-Locale-SubCountry.spec
SRPM URL: http://home.comcast.net/~ckweyl/perl-Locale-SubCountry-1.37-0.fc5.src.rpm

Description:
This module allows you to convert the full name for a countries administrative
region to the code commonly used for postal addressing. The reverse lookup can
also be done. Sub country codes are defined in "ISO 3166-2:1998, Codes for the
representation of names of countries and their subdivisions".

Sub countries are termed as states in the US and Australia, provinces in
Canada and counties in the UK and Ireland.
Comment 1 Jason Tibbitts 2006-07-03 16:05:52 EDT
BuildRequires: perl is not necessary (not a blocker).
It's not necessary to pass OPTIMIZE for a noarch package (not a blocker).

Please add BR: perl(Test::Pod), perl(Test::Pod::Coverage) for complete test
coverage.

Review:
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text not included upstream.
* source files match upstream:
   b6d365e2db967821c2f1fdfcf064cab6  Locale-SubCountry-1.37.tar.gz
* latest version is being packaged.
* BuildRequires are proper.
* package builds in mock (development, x86_64).
* rpmlint is silent.
* final provides and requires are sane:
   perl(Locale::SubCountry) = 1.37
   perl(Locale::SubCountry::World)
   perl-Locale-SubCountry = 1.37-0.fc6
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Exporter)
   perl(locale)
   perl(strict)
* no shared libraries are present.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
X %check is present but tests are skipped due to missing BuildRequires:
   All tests successful, 2 tests skipped.
   Files=3, Tests=15,  0 wallclock secs ( 0.10 cusr +  0.03 csys =  0.13 CPU)
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.
Comment 3 Jason Tibbitts 2006-07-05 15:16:40 EDT
Looks good now; all tests pass with none skipped:
  All tests successful.
  Files=3, Tests=17,  1 wallclock secs ( 0.75 cusr +  0.06 csys =  0.81 CPU)

APPROVED
Comment 4 Chris Weyl 2006-07-05 16:10:51 EDT
+Import to CVS
+Add to owners.list
+Bump release, build for devel
+devel build succeeds
+Request branching
+Close bug

Thanks for the review!

Note You need to log in before you can comment on or make changes to this bug.